import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { AboutPageSectionOneCmsService } from "./about-page-section-one-cms.service";
import { UpdateAboutPageSectionOneCmsDto } from "./dto/update-about-page-section-one-cms.dto";

@Controller({ path: "about-page-section-one-cms", version: Constants.API_VERSION_1 })

export class AboutPageSectionOneCmsController {
    constructor(private readonly service: AboutPageSectionOneCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateAboutPageSectionOneCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
