import { EntityRepository, Repository } from "typeorm";
import { UpdateCartCmsDto } from "./dto/update-cart-cms.dto";
import { CartCms } from "./entities/cart-cms.entity";

@EntityRepository(CartCms)
export class CartCmsRepository extends Repository<CartCms> {

    async createEntity(dto: UpdateCartCmsDto): Promise<CartCms | Error> {
        try {
            const entity = this.create({
                topBannerImage: dto.topBannerImage,
                topBannerTitle: dto.topBannerTitle,
                topBannerSubtitle: dto.topBannerSubtitle,
                topBannerButtonText: dto.topBannerButtonText,
                topBannerButtonLink: dto.topBannerButtonLink,
                bottomBannerImage: dto.bottomBannerImage,
                bottomTitleOne: dto.bottomTitleOne,
                bottomSubtitleOne: dto.bottomSubtitleOne,
                bottomButtonOneText: dto.bottomButtonOneText,
                bottomButtonOneLink: dto.bottomButtonOneLink,
                bottomTitleTwo: dto.bottomTitleTwo,
                bottomSubtitleTwo: dto.bottomSubtitleTwo,
                bottomButtonTwoText: dto.bottomButtonTwoText,
                bottomButtonTwoLink: dto.bottomButtonTwoLink,
                bottomIconOne: dto.bottomIconOne,
                bottomIconTwo: dto.bottomIconTwo
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateCartCmsDto, id: string): Promise<CartCms | Error> {
        try {
            await this.update(id, {
                topBannerImage: dto.topBannerImage,
                topBannerTitle: dto.topBannerTitle,
                topBannerSubtitle: dto.topBannerSubtitle,
                topBannerButtonText: dto.topBannerButtonText,
                topBannerButtonLink: dto.topBannerButtonLink,
                bottomBannerImage: dto.bottomBannerImage,
                bottomTitleOne: dto.bottomTitleOne,
                bottomSubtitleOne: dto.bottomSubtitleOne,
                bottomButtonOneText: dto.bottomButtonOneText,
                bottomButtonOneLink: dto.bottomButtonOneLink,
                bottomTitleTwo: dto.bottomTitleTwo,
                bottomSubtitleTwo: dto.bottomSubtitleTwo,
                bottomButtonTwoText: dto.bottomButtonTwoText,
                bottomButtonTwoLink: dto.bottomButtonTwoLink,
                bottomIconOne: dto.bottomIconOne,
                bottomIconTwo: dto.bottomIconTwo
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<CartCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}