import { EntityRepository, Repository } from "typeorm";
import { UpdateDealsPopupCmsDto } from "./dto/update-about-page-cms.dto";
import { DealsPopupCms } from "./entities/deals-popup-cms.entity";

@EntityRepository(DealsPopupCms)
export class DealsPopupCmsRepository extends Repository<DealsPopupCms> {

    async createEntity(dto: UpdateDealsPopupCmsDto): Promise<DealsPopupCms | Error> {
        try {
            const entity = this.create({
                dealsCategoryTitle: dto.dealsCategoryTitle,
                dealsCategoryButtonText: dto.dealsCategoryButtonText,
                bannerOneImage: dto.bannerOneImage,
                bannerOneButtonText: dto.bannerOneButtonText,
                bannerOneButtonLink: dto.bannerOneButtonLink,
                bannerTwoTitle: dto.bannerTwoTitle,
                bannerTwoImage: dto.bannerTwoImage,
                bannerTwoButtonText: dto.bannerTwoButtonText,
                bannerTwoButtonLink: dto.bannerTwoButtonLink,
                dealsTitle: dto.dealsTitle,
                openNowButtonText:dto.openNowButtonText,
                openNowButtonFile: dto.openNowButtonFile,
                showOpenNowButton: dto.showOpenNowButton,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateDealsPopupCmsDto, id: string): Promise<DealsPopupCms | Error> {
        try {
            await this.update(id, {
                dealsCategoryTitle: dto.dealsCategoryTitle,
                dealsCategoryButtonText: dto.dealsCategoryButtonText,
                bannerOneImage: dto.bannerOneImage,
                bannerOneButtonText: dto.bannerOneButtonText,
                bannerOneButtonLink: dto.bannerOneButtonLink,
                bannerTwoTitle: dto.bannerTwoTitle,
                bannerTwoImage: dto.bannerTwoImage,
                bannerTwoButtonText: dto.bannerTwoButtonText,
                bannerTwoButtonLink: dto.bannerTwoButtonLink,
                dealsTitle: dto.dealsTitle,
                openNowButtonText:dto.openNowButtonText,
                openNowButtonFile: dto.openNowButtonFile,
                showOpenNowButton: dto.showOpenNowButton,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<DealsPopupCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}