import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { HomePageMobileCategoryCmsService } from "./home-page-mobile-category-cms.service";
import { HomePageMobileCategoryCmsDto } from "./dto/home-page-mobile-category-cms.dto";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";

@Controller({ path: "home-page-mobile-category-cms", version: Constants.API_VERSION_1 })
export class HomePageMobileCategoryCmsController {
    constructor(private readonly service: HomePageMobileCategoryCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: HomePageMobileCategoryCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    findAll() {
        return this.service.findAll();
    }
}
