import { EntityRepository, Repository } from "typeorm";
import { UpdateHowToEnjoyCmsDto } from "./dto/update-how-to-enjoy-cms.dto";
import { HowToEnjoyCms } from "./entities/how-to-enjoy-cms.entity";

@EntityRepository(HowToEnjoyCms)
export class HowToEnjoyCmsRepository extends Repository<HowToEnjoyCms> {

    async createEntity(dto: UpdateHowToEnjoyCmsDto): Promise<HowToEnjoyCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHowToEnjoyCmsDto, id: string): Promise<HowToEnjoyCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HowToEnjoyCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}