import { EntityRepository, Repository } from "typeorm";
import { UpdateNewDropBannerCmsDto } from "./dto/update-new-drop-banner-cms.dto";
import { NewDropBannerCms } from "./entities/new-drop-banner-cms.entity";

@EntityRepository(NewDropBannerCms)
export class NewDropBannerCmsRepository extends Repository<NewDropBannerCms> {

    async createEntity(dto: UpdateNewDropBannerCmsDto): Promise<NewDropBannerCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                status: dto.status,
                iheartjaneCustomKey: dto.iheartjaneCustomKey,
                isDefault: dto.isDefault
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateNewDropBannerCmsDto, id: string): Promise<NewDropBannerCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                status: dto.status,
                iheartjaneCustomKey: dto.iheartjaneCustomKey,
                isDefault: dto.isDefault
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<NewDropBannerCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }

    async findByStateCode(): Promise<any | Error> {
        try {
            let data = await this.find({
                isDeleted: false
            })
            if(Object.keys(data).length === 0) {
                data = await this.find({
                    isDefault: true,
                    isDeleted: false
                });
                if(Object.keys(data).length === 0) {
                    data = await this.find({
                        isDeleted: false
                    });
                }
            }
            return data;
        } catch (e) {
            return e;
        }
    }
}