import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { productDetailsPageMetaDto } from "./dto/product-details-page-meta.dto";
import { productDetailsPageMetaService } from "./product-details-page-meta.service";

@Controller({ path: "product-details-page-meta", version: Constants.API_VERSION_1 })
export class productDetailsPageMetaController {
    constructor(private readonly service: productDetailsPageMetaService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(@Body() dto: productDetailsPageMetaDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    findAll() {
        return this.service.findAll();
    }
}
