import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { RelatedProductCmsService } from "./related-product-cms.service";
import { UpdateRelatedProductCmsDto } from "./dto/update-related-product-cms.dto";

@Controller({ path: "related-product-cms", version: Constants.API_VERSION_1 })

export class RelatedProductCmsController {
    constructor(private readonly service: RelatedProductCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateRelatedProductCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
