import { EntityRepository, Repository } from "typeorm";
import { UpdateShopPageBannerCmsDto } from "./dto/update-shop-page-section-seven-cms.dto";
import { ShopPageBannerCms } from "./entities/shop-page-banner-cms.entity";

@EntityRepository(ShopPageBannerCms)
export class ShopPageBannerCmsRepository extends Repository<ShopPageBannerCms> {

    async createEntity(dto: UpdateShopPageBannerCmsDto): Promise<ShopPageBannerCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                image: dto.image,
                imageBackgroundColor: dto.imageBackgroundColor,
                bgColor: dto.bgColor,
                isImageOrColor: dto.isImageOrColor,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateShopPageBannerCmsDto, id: string): Promise<ShopPageBannerCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                image: dto.image,
                imageBackgroundColor: dto.imageBackgroundColor,
                bgColor: dto.bgColor,
                isImageOrColor: dto.isImageOrColor,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ShopPageBannerCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}