import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { ArticlePageUiService } from "./article-page-ui.service";
import { UpdateArticlePageUiDto } from "./dto/update-article-page-ui.dto";

@Controller({ path: "article-component-ui", version: Constants.API_VERSION_1 })

export class ArticlePageUiController {
    constructor(private readonly service: ArticlePageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateArticlePageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
