import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { CookiesSettingsPageUiService } from "./cookies-settings-page-ui.service";
import { UpdateCookiesSettingsPageUiDto } from "./dto/update-cookies-settings-page-ui.dto";

@Controller({ path: "cookies-settings-component-ui", version: Constants.API_VERSION_1 })

export class CookiesSettingsPageUiController {
    constructor(private readonly service: CookiesSettingsPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateCookiesSettingsPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
