import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { UpdatePrivacyPolicyPageUiDto } from "./dto/update-privacy-policy-page-ui.dto";
import { PrivacyPolicyPageUiService } from "./privacy-policy-page-ui.service";

@Controller({ path: "privacy-policy-component-ui", version: Constants.API_VERSION_1 })

export class PrivacyPolicyPageUiController {
    constructor(private readonly service: PrivacyPolicyPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdatePrivacyPolicyPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
