import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { StayEnlightenedUiService } from "./stay-enlightened-ui.service";
import { UpdateStayEnlightenedUiDto } from "./dto/update-stay-enlightened-ui.dto";

@Controller({ path: "stay-enlightened-component-ui", version: Constants.API_VERSION_1 })

export class StayEnlightenedUiController {
    constructor(private readonly service: StayEnlightenedUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateStayEnlightenedUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
