import { Body, Controller, HttpCode, HttpStatus, Post } from "@nestjs/common";
import { Constants } from "src/utils/constants";
import { DutchiePlusCheckoutService } from "./dutchie-plus-checkout.service";

@Controller({
    path: "checkout",
    version: Constants.API_VERSION_1
})
export class DutchiePlusCheckoutController {
    constructor(private readonly dutchiePlusCheckoutService: DutchiePlusCheckoutService) {
    }

    @Post("/create")
    @HttpCode(HttpStatus.OK)
    createCheckout(@Body() variables: any) {
        return this.dutchiePlusCheckoutService.createCheckout(variables);
    }

    @Post("/add-item")
    @HttpCode(HttpStatus.OK)
    addItemToCheckout(@Body() variables: any) {
        return this.dutchiePlusCheckoutService.addItemToCheckout(variables);
    }

    @Post("/remove-item")
    @HttpCode(HttpStatus.OK)
    removeItemFromCheckout(@Body() variables: any) {
        return this.dutchiePlusCheckoutService.removeItemFromCheckout(variables);
    }

    @Post("/update-quantity")
    @HttpCode(HttpStatus.OK)
    updateQuantity(@Body() variables: any) {
        return this.dutchiePlusCheckoutService.updateQuantity(variables);
    }

    @Post("/cart-details")
    @HttpCode(HttpStatus.OK)
    fetchCartDetails(@Body() variables: any) {
        return this.dutchiePlusCheckoutService.fetchCartDetails(variables);
    }
}
