import { EntityRepository, getConnection, Repository } from "typeorm";
import { CreateHomePageSectionTwoDto } from "./dto/create-home-page-section-two.dto";
import { UpdateHomePageSectionTwoDto } from "./dto/update-home-page-section-two.dto";
import { HomePageSectionTwo } from "./entities/home-page-section-two.entity";

@EntityRepository(HomePageSectionTwo)
export class HomePageSectionTwoRepository extends Repository<HomePageSectionTwo> {
    async createEntity(dto: CreateHomePageSectionTwoDto): Promise<HomePageSectionTwo | Error> {
        try {
            const {
                // stateCode,
                // stateName,
                title,
                description,
                buttonText,
                buttonLink,
                image
            } = dto;
            const entity = this.create({
                // stateCode,
                // stateName,
                title,
                description,
                buttonText,
                buttonLink,
                image
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async findOneEntity(id: string): Promise<HomePageSectionTwo | Error> {
        try {
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async updateEntity(id: string, dto: UpdateHomePageSectionTwoDto): Promise<HomePageSectionTwo | Error> {
        try {
            await this.update(id, {
                // stateCode: dto.stateCode,
                // stateName: dto.stateName,
                title: dto.title,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                image: dto.image
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findByFilterQuery(query: any): Promise<HomePageSectionTwo[] | Error> {
        try {
            return await this.find({
                where: { ...query, isDeleted: false }
            });
        } catch (e) {
            return e;
        }
    }


    async findByStateCode(stateCode: string): Promise<any | Error> {
        try {
            let data = await this.find({
                // stateCode: stateCode,
                isDeleted: false
            })
            if(Object.keys(data).length === 0) {
                    data = await this.find({
                        isDeleted: false
                    });
            }
            return data;
        } catch (e) {
            return e;
        }
    }

    async deleteEntity(id: string): Promise<boolean | Error> {
        try {
            const updateResult = await getConnection()
              .createQueryBuilder()
              .update(HomePageSectionTwo)
              .set({ isDeleted: true })
              .where("id = :id", { id: id })
              .execute();
            if (updateResult.affected > 0) {
                return true;
            }
            return false;
        } catch (e) {
            return e;
        }
    }
}