import { Controller, Get } from '@nestjs/common';
import { Constants } from "src/utils/constants";
import { LoggerService } from './logger.service';

@Controller({ path: 'logger', version: Constants.API_VERSION_1 })
export class LoggerController {
    constructor(private readonly logger: LoggerService) { }

    @Get('info')
    getInfoLog() {
        this.logger.log(
            'This is an INFO log message from the LoggerController.',
            { "test": "test" }
        );
        return 'Logged an INFO message.';
    }

    @Get('error')
    getErrorLog() {
        this.logger.error(
            'This is an ERROR log message from the LoggerController.',
            null,
            'LoggerController',
        );
        return 'Logged an ERROR message.';
    }
}