import * as winston from 'winston';
import 'winston-daily-rotate-file';

// Create transports instance
const transports = [];

// Create and export the logger instance
export const logger = winston.createLogger({
    level: 'info',
    format: winston.format.json(),
    transports:
        //new winston.transports.Console(),

        new winston.transports.DailyRotateFile({
            filename: 'logs/jane-post-checkout-%DATE%.log',
            datePattern: 'YYYY-MM-DD',
            zippedArchive: true,
            maxSize: '20m',
            maxFiles: '14d',
            format: winston.format.combine(
                winston.format.timestamp(),
                winston.format.json(),
            ),
        }),
});

